PHP 手冊
前一頁 |  | 下一頁

# DOMCharacterData->insertData()

DOMCharacterData->insertData() -- Insert a string at the specified 16-bit unit offset

## Description

class DOMCharacterData {
void insertData ( int offset, string data )
}

Inserts string data at position offset.

## Parameters

offset

  The character offset at which to insert.

data

  The string to insert.

## Return Values

No value is returned.

## Exceptions

`DOM_INDEX_SIZE_ERR`

  Raised if offset is negative or greater than the number of 16-bit units in data.

## 參考

DOMCharacterData->appendData()
DOMCharacterData->deleteData()
DOMCharacterData->replaceData()
DOMCharacterData->substringData()

前一頁 | 內容 | 下一頁
DOMCharacterData->deleteData() | 上一層 | DOMCharacterData->replaceData()